Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041437
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-23 15:562019-08-28 18:52
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision34d5a662cb60
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041437: Apply HQL style guide to UpdateActuals

DescriptionApply HQL style guide to UpdateActuals
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
related to defect 00412513.0PR19Q4 closedcollazoandy4 UpdateActuals.doExecute is not using bind-params 

-  Notes
(0113633)
collazoandy4 (developer)
2019-07-24 21:20

Test Plan
  Go to Budget window and create a new record:
    Name: Test
    Year: Current Year
    In to Lines tab create a new record and fillout all the fields
    Click on Export Budget to Excel button and check the process ends without errors
(0114287)
hgbot (developer)
2019-08-28 09:58

Repository: erp/devel/pi
Changeset: 34d5a662cb6071da891ab79c5e5515e89a0ae6a1
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jul 24 13:51:15 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/34d5a662cb6071da891ab79c5e5515e89a0ae6a1 [^]

Fixes issue 41437: Apply HQL style guide to UpdateActuals

Applied the new HQL style in UpdateActuals

---
M src/org/openbravo/erpCommon/ad_process/UpdateActuals.java
---
(0114289)
hgbot (developer)
2019-08-28 09:58

Repository: erp/devel/pi
Changeset: c3aa49e84fb60138a1c21ed0062efd42b2f7a2cf
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Aug 28 09:57:50 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c3aa49e84fb60138a1c21ed0062efd42b2f7a2cf [^]

related to issue 41437 added formatter annotation

---
M src/org/openbravo/erpCommon/ad_process/UpdateActuals.java
---
(0114290)
Sandrahuguet (developer)
2019-08-28 10:00

code review + testing ok
(0114302)
hudsonbot (developer)
2019-08-28 18:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/236aa85fbe33 [^]
Maturity status: Test
(0114304)
hudsonbot (developer)
2019-08-28 18:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/236aa85fbe33 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-23 15:56 collazoandy4 New Issue
2019-07-23 15:56 collazoandy4 Assigned To => Triage Finance
2019-07-23 15:56 collazoandy4 Modules => Core
2019-07-23 15:56 collazoandy4 Triggers an Emergency Pack => No
2019-07-23 15:59 collazoandy4 Relationship added related to 0041287
2019-07-23 16:17 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-23 16:18 collazoandy4 Status new => scheduled
2019-07-24 21:20 collazoandy4 Note Added: 0113633
2019-08-28 09:55 Sandrahuguet Relationship added related to 0041251
2019-08-28 09:58 hgbot Checkin
2019-08-28 09:58 hgbot Note Added: 0114287
2019-08-28 09:58 hgbot Status scheduled => resolved
2019-08-28 09:58 hgbot Resolution open => fixed
2019-08-28 09:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/34d5a662cb6071da891ab79c5e5515e89a0ae6a1 [^]
2019-08-28 09:58 hgbot Checkin
2019-08-28 09:58 hgbot Note Added: 0114289
2019-08-28 10:00 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-28 10:00 Sandrahuguet Note Added: 0114290
2019-08-28 10:00 Sandrahuguet Status resolved => closed
2019-08-28 10:00 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-28 18:52 hudsonbot Checkin
2019-08-28 18:52 hudsonbot Note Added: 0114302
2019-08-28 18:52 hudsonbot Checkin
2019-08-28 18:52 hudsonbot Note Added: 0114304


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker